# ExternalModuleDependencyVariantSpec

interface ExternalModuleDependencyVariantSpec

The specification of a dependency variant. Some dependencies can be fined tuned to select a particular variant. For example, one might want to select the test fixtures of a target component, or a specific classifier.

#### Since

6.8

## Functions

artifactType
Link copied to clipboard
abstract fun artifactType(artifactType: String)
Configures the artifact type of this dependency
classifier
Link copied to clipboard
abstract fun classifier(classifier: String)
Configures the classifier of this dependency
platform
Link copied to clipboard
abstract fun platform()
Configures the dependency to select the "platform" variant.
testFixtures
Link copied to clipboard
abstract fun testFixtures()
Configures the dependency to select the test fixtures capability.